#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
TINEEXE = almstate
TINELIB = libtine.a
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/toolkit.h \
	${INCL}/hstlib.h \
	${INCL}/almlib.h

CPP = g++ -I${INCL}
CC = clang -m64 -fPIC -w -c -g -I${INCL}
CCL = clang -m64 -fPIC -w -g
LM = -lm 

${TINEEXE}: devsrv.o alaeqm.o
	${CCL} -o ${TINEEXE} devsrv.o alaeqm.o  ${LIBS}/${TINELIB} ${LM}
	chmod a+x ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

alaeqm.o: alaeqm.c alaeqm.h ${HDRS}
	${CC} alaeqm.c

clean:
	rm -f *.o
