# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
LIBS = /usr/lib
ARCSRC = ../../shared
HDRS = ${INCL}/project.def \
        ${INCL}/prolog.h \
        ${INCL}/srvcore.h \
        ${INCL}/srvip.h \
        ${INCL}/errors.h \
        ${INCL}/tinetype.h \
        ${INCL}/tinedefs.h \
        ${INCL}/dbtools.h \
        ${INCL}/swaplib.h \
        ${INCL}/almlib.h

CPP = g++ -c -g -I. -I${INCL} -I${ARCSRC}
CC = cc -c -g -I. -I${INCL} -I${ARCSRC}
CCL = cc -g
LM = -lm -lrt

dbscan: scanbase.o archbase.o ${LIBS}/libtineg.a
	${CCL} -o dbscan scanbase.o archbase.o ${LIBS}/libtineg.a ${LM}
	chmod a+s dbscan

scanbase.o: ${ARCSRC}/scanbase.c ${HDRS}
	${CC} ${ARCSRC}/scanbase.c

archbase.o: ${ARCSRC}/archbase.c ${ARCSRC}/archive.h fecdef.h ${HDRS}
	${CC} ${ARCSRC}/archbase.c

clean:
	rm *.o
