#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

TINELIB = libtine.a

CPP = g++ -I${INCL}
CC = clang -m64 -fPIC -w -c -g -I${INCL}
CCL = clang -m64 -fPIC -w -g
LM = -lm 

ens: devsrv.o ens.o
	${CCL} -o ens devsrv.o ens.o ${LIBS}/${TINELIB} ${LM}
	chmod a+x ens

devsrv.o: devsrv.c app_version.h ${HDRS}
	${CC} devsrv.c

ens.o: ens.c ${HDRS}
	${CC} ens.c 

clean:
	rm -f *.o
