#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
TINEEXE = fecstats
TINELIB = libtine.a
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/almlib.h 

CPP = g++ -I${INCL}
CC = clang -m64 -fPIC -w -c -g -I${INCL}
CCL = clang -m64 -fPIC -w -g
LM = -lm 

${TINEEXE}: devsrv.o stseqm.o
	${CCL} -o ${TINEEXE} devsrv.o stseqm.o  ${LIBS}/${TINELIB} ${LM}
	chmod a+x ${TINEEXE}

devsrv.o: devsrv.c app_version.h ${HDRS}
	${CC} devsrv.c

stseqm.o: stseqm.c stseqm.h ${HDRS}
	${CC} stseqm.c

clean:
	rm -f *.o
