#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
ARCSRC = ../../shared
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

CPP = g++ -c -g -I. -I${INCL} -I${ARCSRC}
CC = cc -c -g -I. -I${INCL} -I${ARCSRC}
CCL = cc -g
LM = -lm -lrt

whichrec: whichrec.o archbase.o
	${CCL} -o whichrec whichrec.o archbase.o ${LIBS}/libtine.a ${LM}
	chmod a+x whichrec

whichrec.o: whichrec.c ${HDRS}
	${CC} whichrec.c

archbase.o: ${ARCSRC}/archbase.c ${ARCSRC}/archive.h fecdef.h ${HDRS}
	${CC} ${ARCSRC}/archbase.c 

clean:
	rm -f *.o
