TINEEXE = timeserv
TINELIB = libtine.a
#INCL = ${TINE_INCL}
#LIBS = ${TINE_LIB}
#just hardwire them
INCL = ../../../include
LIBS = ../../../lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/srvip.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/almlib.h

CPP = g++ -I${INCL}
CC = clang -m64 -fPIC -w -c -g -I${INCL}
CCL = clang -m64 -fPIC -w -g
LM = -lm 

${TINEEXE}: devsrv.o timeqm.o
	${CCL} -o ${TINEEXE} devsrv.o timeqm.o  ${LIBS}/${TINELIB} ${LM}
	chmod a+x ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

timeqm.o: timeqm.c timeqm.h ${HDRS}
	${CC} timeqm.c

clean:
	rm -f *.o
